Add an interval to a subscription

Create a new interval and append it to an existing subscription.

šŸ” Access level: Token Owner or Token Agent.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
string
required
Body Params
string
length ≤ 255

Custom naming for this subscription interval.

date-time

End date of the interval in ISO 8601 format. Acceptable only for close-ended intervals.

fees
object

Fee to be applied in this subscription interval. If you want no fee, simply avoid this property in the payload or provide a null value.

date-time
required

Start date of the interval in ISO 8601 time format.

string

Price of the token. Acceptable only for close-ended intervals.

caps
object

Interval "caps" configuration.

string
enum
required

Type of the interval

Allowed:
boolean
Defaults to false

Whether to automatically mint investor orders after confirmation.

boolean
Defaults to true

Whether to automatically set the token price of all investor orders, whose status is either:

  • PENDING_PAYMENT
  • PAYMENT_RECEIVED And their token price is not already defined.
Responses

400

Subscription interval creation failed due to invalid data.

Open-ended intervals must be last from a chronological viewpoint.

The price of the token has more decimals than the token can handle.

Token price must be undefined when creating open ended subscription.

Open-ended intervals cannot have an end date.

Token price must be defined when creating close ended subscription.

The price of the token must be a positive number greater than zero.

Start date is in the past (UTC).

End date is in the past (UTC).

End date is before or equal to the start date.

Duplicate payment method strategy network: {duplicateNetwork}.

Interval overlaps the beginning of another interval.

Interval could not be placed. If you want to have another interval, please close the last one.

Interval overlaps the end of another interval.

The value of the fee is not a number.

A flat fee's value must be positive and greater than zero.

A percentage-based fee's value must be greater than zero and less than a hundred.

Minimum order must be equal or less than the minimum capital.

Maximum order must be equal or less than the maximum capital.

{cap variable} is not a number.

{minCap} must be positive and greater than zero.

{maxCap} must be greater than the {minCap}.

{maxCap} must be positive and greater than zero.

401

Unauthorized

403

Token not manageable with this authentication.

404

Token not found.

Subscription not found.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json